#!/bin/bash

startdir="$PWD"

namedir=`basename $PWD`

echo '*************************************'
echo ' '
echo './configure, then run example :'
echo ' '
./configure
cd example_programs
./demonstrateHiggsBounds_commandline.bat > temp_output.txt
echo 'Is there anything between here...'
grep 'hello' temp_output.txt
grep 'WARNING' temp_output.txt
grep 'stop' temp_output.txt
rm temp_output.txt
echo '... and here'
cd ..
echo '*************************************'
echo 'update -for-comparison files'
mv -f example_data/HB_randomtest50points_HiggsBounds_results.dat example_data/HB_randomtest50points_HiggsBounds_results.dat-for-comparison
mv -f example_data/HB_randomtest50points_Key.dat example_data/HB_randomtest50points_Key.dat-for-comparison

cd example_programs
./demonstrateHiggsBounds_SM_vs_4thGen.bat > temp_output.txt

mv -f example-SM-results.dat example-SM-results.dat-for-comparison
mv -f example-4thGen-results.dat example-4thGen-results.dat-for-comparison
mv -f Key.dat Key.dat-for-comparison-SM_vs_4thGen

rm -f temp_output.txt
cd ..

echo '*************************************'
echo ' '
echo 'make hyperclean :'
echo ' '
make hyperclean
echo 'remove the makefile:'
echo ' '
rm makefile
echo ' '
echo '*************************************'
echo ' '
echo 'CHECK THAT INPUTMETHOD = DATFILE'
echo ' '
grep 'inputmethod=' HiggsBounds.F90
echo ' '
echo '*************************************'
echo ' '
echo 'CHECK THAT ESP = 2.0D-2'
echo ' '
grep 'eps=' S95tables.f90
echo ' '
echo '*************************************'
echo ' '
echo 'CHECK THAT all delta_Mh are 0.0D0'
echo ' '
grep 'delta_Mh_LEP=' S95tables.f90
grep 'delta_Mh_TEV=' S95tables.f90
grep 'delta_Mhplus_LEP=' S95tables.f90
grep 'delta_Mhplus_TEV=' S95tables.f90
grep 'delta_M_LEP_default=' S95tables.f90
grep 'delta_M_TEV_default=' S95tables.f90
echo ' '
echo '*************************************'
echo ' '
echo 'CHECK THAT debug=.False and '
echo '#define  DEBUGGING is commented out'
echo ' '
grep 'debug=' HiggsBounds_subroutines.F90
grep '#define  DEBUGGING' HiggsBounds.F90
echo ' '
echo '*************************************'
echo ' '
echo 'create '$namedir'temp:'
echo ' '

copyfiles=`ls read_commandline_from_web.txt write_out_input.txt *.f90 *.F90 *.F *.f *.bat README COPYING *.in */*.h */*.dat */*/*.dat */*.dat-for-comparison */*.bat */*.F */*.f */*.input */*.dat-for-comparison-SM_vs_4thGen */*/*.txt */*/*/*.txt */*/*_HDecay */*/*.input`

#echo $copyfiles
tempdir="$namedir"F90
#echo 'tempdir=' $tempdir

cd ..

mkdir "$tempdir"

listdir="cs-ratios_sigma-bg-Hb example_data example_programs Expt_tables Theory_tables Expt_tables/CDFtables Expt_tables/D0tables Expt_tables/LEPtables Expt_tables/LEPtables/LEPtables2 Expt_tables/TCBtables Theory_tables/HDecay_BR-SM "

for direcname in $listdir ; do
 mkdir "$tempdir"/"$direcname"
done

cp "$namedir"/pubconfigure "$tempdir"/configure

for filename in $copyfiles ; do
 cp "$namedir"/"$filename" "$tempdir"/"$filename"
done

echo 'removing some of the files needed for the SLHA and chisq bits'
removefiles="PDGnumbering.f90 string_manip.f90 SLHA_manip.f90 extra_bits_for_SLHA.f90 extra_bits_for_chisquared.F90"

for filename in $removefiles ; do
 rm "$tempdir"/"$filename"
done

echo 'create ../'$namedir'.tar.gz :'
rm "$namedir".tar.gz
tar czf "$namedir".tar.gz "$tempdir"
rm -r "$tempdir"

cd $namedir

echo '*************************************'
echo ' '
echo 'Is this the correct version number? '
grep 'vers=' usefulbits.f90
echo ' '
echo '*************************************'
echo ' does minipaper.tex have the correct version number?'
echo ' '
grep 'version' minipaper.tex
echo ' '
echo ' and minipaper.bib has been updated? (there *should* be something between here...'
grep '0811.4169' minipaper.bib 
echo '... and here.'

latex minipaper.tex > /dev/null
bibtex minipaper > /dev/null
latex minipaper.tex > /dev/null
bibtex minipaper > /dev/null
latex minipaper.tex > /dev/null
dvipdf minipaper > /dev/null

cp minipaper.tex ../webversion/minipaper.tex
cp minipaper.bib ../webversion/minipaper.bib
cp minipaper.bbl ../webversion/minipaper.bbl
cp minipaper.pdf ../webversion/minipaper.pdf
echo '*************************************'
echo ' '
echo 'finished'
echo ' '
echo '*************************************'
